unit journal;

interface
uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons;

const vide = '';

procedure Journal_Titre (RE:TRichEdit;T1,T2:string);
procedure Journal_Texte (RE:TRichEdit;st:string;Color:TColor;Style:TFontStyles);
procedure Journal_SousTitre (RE:TRichEdit;T1,T2:string);
procedure Journal_LigneVide (RE:TRichEdit);
procedure Journal_AfficherFin (RE:TRichEdit);

implementation

procedure Journal_Titre (RE:TRichEdit;T1,T2:string);
const s1 = '     |  ';
begin
  Journal_Texte (RE,s1,clBlue,[fsBold]);
  Journal_Texte (RE,s1+T1,clBlue,[fsBold]);
  if T2 <> vide then Journal_Texte (RE,s1+T2,clBlue,[fsBold]);
  Journal_Texte (RE,s1,clBlue,[fsBold]);
  Journal_LigneVide (RE);
end;

procedure Journal_SousTitre (RE:TRichEdit;T1,T2:string);
const s1 = '>> ';
begin
  Journal_LigneVide (RE);
  Journal_Texte (RE,s1 + T1,clBlue,[fsBold]);
  if T2 <> vide then Journal_Texte (RE,s1 + T2,clBlue,[fsBold]);
  Journal_LigneVide (RE);
end;

procedure Journal_EffacerTout (RE:TRichEdit);
begin
  RE.Clear;
end;

procedure Journal_LigneVide (RE:TRichEdit);
begin
  Journal_Texte (RE,vide,clBlack,[]);
end;

procedure Journal_AfficherFin (RE:TRichEdit);
begin
  RE.SelStart := RE.GetTextLen;
  RE.Perform (EM_SCROLLCARET,0,0);
end;

procedure Journal_AfficherDebut (RE:TRichEdit);
begin
  RE.SelStart:=0;
  RE.Perform(EM_SCROLLCARET,0,0);
end;

procedure Journal_Texte (RE:TRichEdit;st:string;Color:TColor;Style:TFontStyles);
begin
  RE.SelAttributes.Color := Color;
  RE.SelAttributes.Style := Style;
  RE.Lines.Add (st);
  Journal_AfficherFin (RE);
  if RE.Lines.Count > 1500 then RE.Clear;
end;

end.
